Create a FileAttachment on an Order
curl --request POST \
--url https://api.tread-horizon.com/v1/orders/{order-id}/file_attachments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form 'file=<string>' \
--form category=Other \
--form 'description=<string>' \
--form file.0='@example-file'import requests
url = "https://api.tread-horizon.com/v1/orders/{order-id}/file_attachments"
files = { "file.0": ("example-file", open("example-file", "rb")) }
payload = {
"file": "<string>",
"category": "Other",
"description": "<string>"
}
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
form.append('category', 'Other');
form.append('description', '<string>');
form.append('file.0', '{
"fileName": "example-file"
}');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.tread-horizon.com/v1/orders/{order-id}/file_attachments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"category": "Other",
"description": "<string>",
"file_attachable_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"file_url": "<string>",
"mime_type": "<string>",
"preview_url": "<string>",
"preview_mime_type": "<string>",
"uploaded_by": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tread_id": "ABC123",
"legal_name": "<string>",
"company_type": "hauler"
},
"file_name": "<string>",
"editable": true,
"deletable": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "<string>",
"error_type": "<string>"
}
}{
"error": {
"code": "<string>"
}
}{
"error": {
"code": "<string>"
}
}{
"error": {
"code": "<string>"
}
}{
"error": {
"code": "<string>"
}
}{
"error": {
"code": "<string>",
"errors": [
{
"model": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}
}FileAttachments
Create a FileAttachment on an Order
deprecated
Create a FileAttachment related to an Order. Requires permission to create attachment on Order—create_order_attachments.
- If you’re using a
DirectUploadthen you must use theapplication/jsonmime-type andfilemust be theDirectUpload’ssigned_id - If you’re using a file then you must use the
multipart/form-datamime-type andfilemust be a file.
POST
/
v1
/
orders
/
{order-id}
/
file_attachments
Create a FileAttachment on an Order
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.
Example:
"en"
Path Parameters
The ID of the order you're operating on
Body
multipart/form-dataapplication/json
Response
Created
Show child attributes
Show child attributes
⌘I